"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class Break extends APIFunction_1.APIFunction {
    name = "$break";
    description = "Stops code execution.";
    parameters = [];
    usage = "$break";
    returns = APIFunction_1.ParamType.Unknown;
    aliases = ["$stop"];
    compile = true;
    async run(d) {
        d.stopCode();
    }
}
exports.default = Break;
;
