"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class RootDir extends APIFunction_1.APIFunction {
    name = "$cwd";
    description = "Returns the process cwd.";
    parameters = [];
    usage = "$cwd";
    returns = APIFunction_1.ParamType.String;
    aliases = ["$rootDir", "$processCwd"];
    compile = true;
    async run(d) {
        return process.cwd();
    }
}
exports.default = RootDir;
