"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class Hours extends APIFunction_1.APIFunction {
    name = "$dateHours";
    description = "Gets the hours in a date, using local time.";
    parameters = [];
    usage = this.name;
    returns = APIFunction_1.ParamType.Number;
    aliases = [];
    compile = false;
    async run(d) {
        return d.date.getHours().toString();
    }
}
exports.default = Hours;
