"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class LocaleString extends APIFunction_1.APIFunction {
    name = "$dateLocaleString";
    description = "Retrieves the date as locale string.";
    parameters = [];
    usage = "$dateLocaleString";
    returns = APIFunction_1.ParamType.String;
    aliases = [];
    compile = false;
    async run(d) {
        return d.date.toLocaleString(d.locale, { timeZone: d.timeZone });
    }
}
exports.default = LocaleString;
