"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class Minutes extends APIFunction_1.APIFunction {
    name = "$dateMinutes";
    description = "Gets the minutes in a date, using local time.";
    parameters = [];
    usage = this.name;
    returns = APIFunction_1.ParamType.Number;
    aliases = [];
    compile = false;
    async run(d) {
        return d.date.getMinutes().toString();
    }
}
exports.default = Minutes;
