"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class Time extends APIFunction_1.APIFunction {
    name = "$dateTime";
    description = "Returns the stored time value in milliseconds since midnight, January 1, 1970 UTC.";
    parameters = [];
    usage = this.name;
    returns = APIFunction_1.ParamType.Number;
    aliases = [];
    compile = false;
    async run(d) {
        return d.date.getTime().toString();
    }
}
exports.default = Time;
