"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class TimeString extends APIFunction_1.APIFunction {
    name = "$dateTimeString";
    description = "Retrieves the time as string.";
    parameters = [];
    usage = "$dateTimeString";
    returns = APIFunction_1.ParamType.String;
    aliases = [];
    compile = false;
    async run(d) {
        return d.date.toTimeString();
    }
}
exports.default = TimeString;
