"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class Year extends APIFunction_1.APIFunction {
    name = "$dateYear";
    description = "Gets the year, using local time.";
    parameters = [];
    usage = this.name;
    returns = APIFunction_1.ParamType.Number;
    aliases = [];
    compile = false;
    async run(d) {
        return d.date.getFullYear().toString();
    }
}
exports.default = Year;
