"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class ExecutionTime extends APIFunction_1.APIFunction {
    name = "$nodeVersion";
    description = "Returns the node.js version.";
    parameters = [];
    usage = this.name;
    returns = APIFunction_1.ParamType.String;
    aliases = [];
    compile = true;
    async run(d) {
        return process.version.toString();
    }
}
exports.default = ExecutionTime;
