"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class Euler extends APIFunction_1.APIFunction {
    name = "$euler";
    description = "The mathematical constant e. This is Euler's number, the base of natural logarithms.";
    parameters = [];
    usage = this.name;
    returns = APIFunction_1.ParamType.Number;
    aliases = [];
    compile = true;
    async run(d) {
        return Math.E.toString();
    }
}
exports.default = Euler;
;
