import { APIFunction, ParamType } from "../../structures/APIFunction";
import { Data } from "../../structures/Data";
export default class Floor extends APIFunction {
    name: string;
    description: string;
    parameters: {
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: null;
    }[];
    usage: string;
    returns: ParamType;
    aliases: never[];
    compile: boolean;
    run(d: Data, [value]: string[]): Promise<string>;
}
