"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class IP extends APIFunction_1.APIFunction {
    name = "$ip";
    description = "Retrieves the request IP address.";
    parameters = [];
    usage = "$ip";
    returns = APIFunction_1.ParamType.String;
    aliases = [];
    compile = true;
    async run(d) {
        return d.req?.ip ?? "null";
    }
}
exports.default = IP;
