"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class OriginalURL extends APIFunction_1.APIFunction {
    name = "$originalUrl";
    description = "Retrieves the router original URL.";
    parameters = [];
    usage = "$originalUrl";
    returns = APIFunction_1.ParamType.String;
    aliases = [];
    compile = true;
    async run(d) {
        return d.req?.originalUrl ?? "null";
    }
}
exports.default = OriginalURL;
