"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class ReplyTime extends APIFunction_1.APIFunction {
    name = "$replyTime";
    description = "Retrieves the request response time.";
    parameters = [];
    usage = "$replyTime";
    returns = APIFunction_1.ParamType.Number;
    aliases = ["$responseTime"];
    compile = true;
    async run(d) {
        return d.res?.elapsedTime.toString();
    }
}
exports.default = ReplyTime;
