"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Util_1 = require("../../classes/Util");
class ReplyTime extends APIFunction_1.APIFunction {
    name = "$sent";
    description = "Checks if the response was already sent.";
    parameters = [];
    usage = "$sent";
    returns = APIFunction_1.ParamType.Boolean;
    aliases = ["$isSent"];
    compile = true;
    async run(d) {
        return Util_1.Util.stringBool(d.res.sent);
    }
}
exports.default = ReplyTime;
