import { APIFunction, ParamType, ParameterDefinition } from "../../structures/APIFunction";
import { Data } from "../../structures/Data";
export default class CallFunction extends APIFunction {
    name: string;
    description: string;
    parameters: ParameterDefinition[];
    usage: string;
    returns: ParamType;
    aliases: string[];
    compile: boolean;
    run(d: Data, [name, ...params]: string[]): Promise<string>;
}
