"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const child_process_1 = require("child_process");
class Execute extends APIFunction_1.APIFunction {
    name = "$execute";
    description = "Executes a shell command, this function can be dangerous.";
    parameters = [{
            name: "Command",
            description: "Command to be executed.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$execute[command]";
    returns = APIFunction_1.ParamType.String;
    aliases = ["$exec"];
    compile = true;
    async run(d, [command]) {
        const result = (0, child_process_1.execSync)(command, { encoding: "utf-8" });
        return result.toString();
    }
}
exports.default = Execute;
