"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const main_1 = require("../../main");
class Unesc extends APIFunction_1.APIFunction {
    name = "$unescape";
    description = "Unescapes a text.";
    parameters = [{
            name: "Text",
            description: "The text to be unescaped.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$unescape[text]";
    returns = APIFunction_1.ParamType.String;
    compile = true;
    aliases = [];
    async run(d, [text]) {
        return (0, main_1.Unescape)(text);
    }
}
exports.default = Unesc;
