"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class ISOString extends APIFunction_1.APIFunction {
    name = "$dateISOString";
    description = "Gets the a date as string in ISO format.";
    parameters = [];
    usage = this.name;
    returns = APIFunction_1.ParamType.String;
    aliases = [];
    compile = false;
    async run(d) {
        return d.date.toISOString();
    }
}
exports.default = ISOString;
