"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class UTCString extends APIFunction_1.APIFunction {
    name = "$dateUTCString";
    description = "Returns a date converted to a string using Universal Coordinated Time (UTC).";
    parameters = [];
    usage = this.name;
    returns = APIFunction_1.ParamType.String;
    aliases = [];
    compile = false;
    async run(d) {
        return d.date.toUTCString();
    }
}
exports.default = UTCString;
