"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class HTTPCleanUp extends APIFunction_1.APIFunction {
    name = "$httpCleanup";
    description = "Clean up the HTTP results.";
    parameters = [];
    usage = this.name;
    returns = APIFunction_1.ParamType.Unknown;
    compile = true;
    aliases = [];
    async run(d) {
        if (d.internalVarExists("EATS_REQUEST")) {
            d.deleteInternalVar("EATS_REQUEST");
        }
    }
}
exports.default = HTTPCleanUp;
