"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class ExecutionTime extends APIFunction_1.APIFunction {
    name = "$executionTime";
    description = "Returns the execution time of the code.";
    parameters = [];
    usage = "$executionTime";
    returns = APIFunction_1.ParamType.Number;
    aliases = ["$execTime"];
    compile = true;
    async run(d) {
        return (performance.now() - d.startTime).toString();
    }
}
exports.default = ExecutionTime;
