"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class CoreVersion extends APIFunction_1.APIFunction {
    name = "$fastifyVersion";
    description = "Returns the version that ea.ts is currently using.";
    parameters = [];
    usage = this.name;
    returns = APIFunction_1.ParamType.String;
    aliases = [];
    compile = true;
    async run(d) {
        return d.server.app.version;
    }
}
exports.default = CoreVersion;
