"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class MaxSafeInteger extends APIFunction_1.APIFunction {
    name = "$maxSafeInteger";
    description = "Returns maximum safe integer.";
    parameters = [];
    usage = this.name;
    returns = APIFunction_1.ParamType.Number;
    aliases = [];
    compile = false;
    async run(d) {
        return Number.MIN_SAFE_INTEGER.toString();
    }
}
exports.default = MaxSafeInteger;
