"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class MinSafeInteger extends APIFunction_1.APIFunction {
    name = "$minSafeInteger";
    description = "Returns minimum safe integer.";
    parameters = [];
    usage = this.name;
    returns = APIFunction_1.ParamType.Number;
    aliases = [];
    compile = false;
    async run(d) {
        return Number.MAX_SAFE_INTEGER.toString();
    }
}
exports.default = MinSafeInteger;
