"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class Host extends APIFunction_1.APIFunction {
    name = "$host";
    description = "Retrieves the host name.";
    parameters = [];
    usage = "$host";
    returns = APIFunction_1.ParamType.String;
    aliases = ["$hostname"];
    compile = true;
    async run(d) {
        return d.req?.hostname ?? "null";
    }
}
exports.default = Host;
